# ╔══════════════════════════════════════════════════════╗
# ║                     DL_Mina PRO v1.0                 ║
# ║            Configuração principal do sistema         ║
# ╚══════════════════════════════════════════════════════╝

# 💰 ECONOMIA
economy:
  # Onde o dinheiro minerado será creditado (bank | wallet)
  target: money

  # Valor base ganho por bloco quebrado
  money-per-block: 5.0

  # Multiplicador global (1.0 = normal)
  global-multiplier: 1.0

# ⚙️ GANHO DE MONEY
money:
  # Valor base recebido por bloco de PRISMARINE_BRICKS
  base-per-block: 5.0

  # Multiplicador padrão global (somado ao sistema do player)
  default-multiplier: 1.0

  # Mensagem exibida na action bar
  actionbar-message: "§a+{money} coins"

  # Efeitos visuais
  play-particles: true
  play-sound: false

# ╔══════════════════════════════════════════════════════╗
# ║                ANTI-MACRO PROFISSIONAL               ║
# ╚══════════════════════════════════════════════════════╝
anti-macro:
  enabled: false

  # Quantos blocos o player pode quebrar antes de ser analisado
  check-every-blocks: 150

  # Máximo de tempo entre quebras consecutivas (em ms)
  # Se o tempo for sempre menor que isso, o sistema suspeita
  min-interval-ms: 150

  # Quantas vezes ele pode ter comportamento suspeito antes do desafio
  suspicious-threshold: 3

  # Tempo máximo (segundos) para responder o desafio
  max-response-time: 30

  # Ação ao falhar o teste
  # Opções: "kick", "command", "alert"
  on-fail: "kick"

  # Comando executado (se on-fail = command)
  fail-command: "kick %player% §cMacro detectado!"

  # Mensagem para o jogador suspeito
  title: "§e⚠️ Verificação anti-macro"
  subtitle: "§7Digite §a/verificar %code% §7no chat em até §c30s§7!"

  # Mensagem de sucesso
  success-message: "§a✅ Verificação concluída com sucesso!"
  # Mensagem de falha
  fail-message: "§c❌ Você falhou no teste anti-macro!"

blocks-upgrade:
  enabled: true
  base-cost: 5000
  multiplier: 1.5

  # Lista de blocos por nível (pode aumentar ou reduzir)
  levels:
    1: STONE
    2: COBBLESTONE
    3: PRISMARINE_BRICKS
    4: COAL_ORE
    5: IRON_ORE
    6: GOLD_ORE
    7: GOLD_BLOCK
    8: DIAMOND_ORE
    9: EMERALD_BLOCK
    10: NETHERITE_BLOCK

# 📍 SPAWN
spawn-location:
  world: world
  x: -186.9
  y: 67.0
  z: 0.7
  yaw: 0.0
  pitch: 0.0
